%define debug_package %{nil}
%define product_family Red Hat OpenStack Platform
%define release_name Newton
%define base_release_version 10
%define full_release_version 10.0.12
%define release_file rhosp-release

Name:           %{release_file}%{?variant_lowercase:-%{variant_lowercase}}
Version:        %{full_release_version}
Release:        1%{?dist}
Summary:        %{product_family}%{?variant_titlecase: %{variant_titlecase}} release file
Group:          System Environment/Base
License:        GPLv2
Provides:       %{release_file} = %{version}-%{release}
BuildArch:      noarch


%description
%{product_family}%{?variant_titlecase: %{variant_titlecase}} release files

%prep
echo OK

%build
echo OK

%install
rm -rf %{buildroot}

# create /etc
mkdir -p %{buildroot}/etc

# create /etc/system-release and /etc/%{release_file}
echo "%{product_family}%{?variant_titlecase: %{variant_titlecase}} release %{full_release_version}%{?beta: %{beta}} (%{release_name})" > %{buildroot}/%{_sysconfdir}/%{release_file}

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{_sysconfdir}/%{release_file}

%changelog
* Mon May 20 2019 Steve Linabery <slinaber@redhat.com> - 10.0.12-1
- add maintenance release version rhbz#1710905

* Thu Jan 17 2019 Steve Linabery <slinaber@redhat.com> - 10.0.11-1
- add maintenance release version rhbz#1667260

* Tue Nov 27 2018 Mike Burns <mburns@redhat.com> - 10.0.10-1
- add maintenance release version rhbz#1653848

* Tue Aug 16 2016 Mike Burns <mburns@redhat.com> - 10.0-2
* Initial Release
